HARDINFO(1)

NAME
Hardinfo2 - System Information and Benchmark for Linux Systems.

USAGE
hardinfo2 [OPTION...]

DESCRIPTION
Is a system information and benchmark for Linux systems, that gathers information about the hardware and operating system, performs benchmarks with online compare against other machines, and generates reports.

OPTIONS

-h, --help
    Show help options

-q, --quiet
    do not print status messages to standard output

-r, --generate-report
    creates a report and prints to standard output

-f, --report-format
    chooses a report format (text, html)

-g, --result-format
    chooses a result format (short, conf, shell)

-n, --max-results
    maximum number of benchmark results to include (-1 for no limit, default is 50)

-b, --run-benchmark
    run a specific benchmark eg. -b 'FPU FFT' (Default all benchmarks runs when generate report)

-s, --skip-benchmark
    Disables all benchmark runs.

-u, --user-note
    adds a user note to data send to server. When added eg. -u 1 synchronization is activated.

-w, --very-verbose
    show all details

-v, --version
    shows program version and quit

EXAMPLES
examples of CLI command usage:

hardinfo2 -b 'FPU FFT'
    runs only FPU FFT benchmark

hardinfo2 -u 1
    enable updates at startup and starts gui (can also be set in gui)

hardinfo2 -u SBC-DK -r
    updates data from server, generate CLI report and sends benchmark with user-note

hardinfo2 -r
    generates CLI report

COPYRIGHT
Hardinfo2 is Copyright © 2003-2023 L. A. F. Pereira, 2024- Hardinfo2 Project. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.